summaryrefslogtreecommitdiffstats
path: root/x11/gnome2/pkg-install
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2004-11-24 10:18:06 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2004-11-24 10:18:06 +0800
commit3080e9561d8274549e59c8351b13e336906e31cd (patch)
tree91a0cf669711364ef03b7a6f7742406988da1190 /x11/gnome2/pkg-install
parent78ccdf609211dd3b59abcdc8de2f41b1d159b81a (diff)
downloadmarcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar.gz
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar.bz2
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar.lz
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar.xz
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.tar.zst
marcuscom-ports-3080e9561d8274549e59c8351b13e336906e31cd.zip
Presenting GNOME 2.9.1!!!
Shouts out to mezz and adamw that did a lot of the heavy lifting for this release. git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@3122 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'x11/gnome2/pkg-install')
-rw-r--r--x11/gnome2/pkg-install22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/gnome2/pkg-install b/x11/gnome2/pkg-install
new file mode 100644
index 000000000..ca7543bb5
--- /dev/null
+++ b/x11/gnome2/pkg-install
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin:${PATH}
+export PATH
+
+tmp_pkg_info=`mktemp -t gnome_install_pkg_info`
+trap "rm -f ${tmp_pkg_info}" 0
+
+pkg_info > ${tmp_pkg_info}
+
+if [ "$2" = "PRE-INSTALL" ]; then
+ GNOME_ONE_DESKTOP="gnomecore gnomeapplets gnomemedia gnomeutils gtop libgtop sawfish nautilus gedit xalf bugbuddy gnomegames gdm eog ggv gnomeaudio"
+ for package in ${GNOME_ONE_DESKTOP}; do
+ if grep "^${package}-[0-9]" ${tmp_pkg_info} >/dev/null 2>&1; then
+ echo "${package} was detected on the system. This package is part of the GNOME 1.x"
+ echo "desktop, and cannot coexist with the GNOME 2.2 desktop."
+ echo ""
+ echo "Please deinstall the GNOME 1.x desktop before installing this package."
+ false
+ fi
+ done
+fi